package org.ajax4jsf.model;

import java.io.Serializable;

public class ListShuttleItem  implements Serializable {

	private static final long serialVersionUID = -7540977992693127759L;

	private Integer numder;
	
	private String name;
	
	public ListShuttleItem() {
		
	}
	
	public ListShuttleItem(Integer i, String name) {
		this.numder = i;
		this.name = name;
	}

	/**
	 * @return the numder
	 */
	public Integer getNumder() {
		return numder;
	}

	/**
	 * @param numder the numder to set
	 */
	public void setNumder(Integer numder) {
		this.numder = numder;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#equals(java.lang.Object)
	 */
	@Override
	public boolean equals(Object obj) {
		if (obj == null) {
			return false;
		}
		if (!(obj instanceof ListShuttleItem)) {
			return false;
		}
		ListShuttleItem o = (ListShuttleItem)obj;
		if (!o.name.equals(name) || !o.numder.equals(numder)) {
			return false;
		}
		return true;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#hashCode()
	 */
	@Override
	public int hashCode() {
		return name.hashCode() + numder;
	}
	
	


}
